aboutsummaryrefslogtreecommitdiffstats
path: root/sdc-os-chef/sdc-cassandra
diff options
context:
space:
mode:
authorAreli Fuss <af732p@att.com>2018-02-11 12:33:52 +0200
committerMichael Lando <ml636r@att.com>2018-02-20 21:20:58 +0000
commit4631543642bc3b7047a3d5045dcc0cc71d61af5a (patch)
treec8a50a706910c1d0a1acce439430d784223fc426 /sdc-os-chef/sdc-cassandra
parent672f608017ed7260aad68a412a9cf913b8de29a2 (diff)
Add K8S deployment above Vagrant
Set deployment manifest files and scripts for deploy SDC over Kubernetes inside Vagrant Preparation for OOM integration Change-Id: Ia68d0361ed20d7598ce4e447fabfaedf82afcaf4 Issue-ID: SDC-907 Signed-off-by: Areli Fuss <af732p@att.com>
Diffstat (limited to 'sdc-os-chef/sdc-cassandra')
-rwxr-xr-xsdc-os-chef/sdc-cassandra/startup.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/sdc-os-chef/sdc-cassandra/startup.sh b/sdc-os-chef/sdc-cassandra/startup.sh
index 0daa82ff88..c583876e2d 100755
--- a/sdc-os-chef/sdc-cassandra/startup.sh
+++ b/sdc-os-chef/sdc-cassandra/startup.sh
@@ -10,7 +10,8 @@ echo "########### starting cassandra ###########"
/docker-entrypoint.sh cassandra -f &
chef-solo -c solo.rb -E ${ENVNAME}
+rc=$?
if [[ $rc != 0 ]]; then exit $rc; fi
+while true; do sleep 30; done
-exec "$@";